package com.sv.mapper;


import com.sv.entity.VenuePrice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper - 场馆对应价格表
 *
 * @author lihong
 * @since 2018-08-22
 */
public interface VenuePriceMapper {

    /**
     * 新建场馆对应价格表
     *
     * @param venuePrice 场馆对应价格表
     */
    void insert(VenuePrice venuePrice);

    /**
     * 更新场馆对应价格表
     *
     * @param venuePrice 场馆对应价格表
     */
    void update(VenuePrice venuePrice);

    /**
     * 删除场馆对应价格表
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除场馆对应价格表
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询场馆对应价格表
     *
     * @param id 编号
     * @return 场馆对应价格表
     */
    VenuePrice findById(Integer id);

    /**
     * 查询场馆对应价格表
     *
     * @return 场馆对应价格表集合
     */
    List<VenuePrice> findAll();

    /**
     * 查询场馆对应的价格
     */
    List<VenuePrice> findPrice(Integer venueId);

    /**
     * 判断当前设置的时间是否有冲突
     */
    Integer checkTime(@Param("starTime") String starTime, @Param("endTime")String endTime, @Param("venueId")Integer venueId);

    /**
     * 根据场馆Id查询对应的时间段的价格
     */
    List<VenuePrice> findByVenueId(Integer venueId);

    /**
     * api
     */
    VenuePrice findPriceByVenueId(@Param("venueId")Integer venueId,@Param("time")String time);
}